Bug 904841

Summary: Review Request: ino - Command line toolkit for working with Arduino hardware
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: T.C. Hollingsworth <tchollingsworth>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, tchollingsworth
Target Milestone: ---Flags: tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-09 23:38:57 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 905681    

Description Miro Hrončok 2013-01-27 15:12:37 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/ino.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/ino-0.3.4-1.fc18.src.rpm

Description:

Ino is a command line toolkit for working with Arduino hardware.

It allows you to:
Quickly create new projects
Build a firmware from multiple source files and libraries
Upload the firmware to a device
Perform serial communication with a device (aka serial monitor)

Ino may replace Arduino IDE UI if you prefer to work with command line and
an editor of your choice or if you want to integrate Arduino build process
to third party IDE.

Ino is based on make to perform builds. However Makefiles are generated
automatically and you'll never see them if you don't want to.


Fedora Account System Username: churchyard
Comment 1 T.C. Hollingsworth 2013-01-27 22:32:33 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: NEEDS WORK

==== Issues =====

[!]: rpmlint output is not clean.

     See the rpmlint section at the bottom of the review for details.

[!]: This package should depend on 'arduino-core' instead of 'arduino'

     See the Requires section at the bottom of the review for details.

==== Things to Consider ====

[ ]: README.rst mentions a nonexistent MIT-LICENSE.txt file.

     Consider contacting upstream and asking them what happened to it.

[ ]: This package does not contain a %check section.

     This package does not appear to ship unit tests, but make sure they aren't
     provided seperately.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/fedora/patches/904841-ino/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[!]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ino-0.3.4-1.fc19.noarch.rpm
          ino-0.3.4-1.fc19.src.rpm
ino.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/ino/templates/blink/lib/.holder
ino.noarch: E: zero-length /usr/lib/python2.7/site-packages/ino/templates/blink/lib/.holder
ino.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/ino/templates/empty/lib/.holder
ino.noarch: E: zero-length /usr/lib/python2.7/site-packages/ino/templates/empty/lib/.holder

What's up with these?

ino.noarch: W: no-manual-page-for-binary ino

Consider querying upstream for or writing a manpage.

2 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ino
ino.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/ino/templates/blink/lib/.holder
ino.noarch: E: zero-length /usr/lib/python2.7/site-packages/ino/templates/blink/lib/.holder
ino.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/ino/templates/empty/lib/.holder
ino.noarch: E: zero-length /usr/lib/python2.7/site-packages/ino/templates/empty/lib/.holder
ino.noarch: W: no-manual-page-for-binary ino
1 packages and 0 specfiles checked; 2 errors, 3 warnings.
# echo 'rpmlint-done:'

All addressed above.

Requires
--------
ino-0.3.4-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/python
    arduino
    pyserial
    python(abi) = 2.7
    python-configobj
    python-jinja2
    python-ordereddict

This really shouldn't require the graphical Arduino IDE, as that will drag in
lots of unnecessary graphical-related deps (not to mention Java) in koji and on
users' systems.  Please require 'arduino-core' instead.

Provides
--------
ino-0.3.4-1.fc19.noarch.rpm:
    
    ino = 0.3.4-1.fc19



MD5-sum check
-------------
http://pypi.python.org/packages/source/i/ino/ino-0.3.4.tar.gz :
  CHECKSUM(SHA256) this package     : dbab7b549657caeab339f15477ceb822bd899311912924a60862b330541bffec
  CHECKSUM(SHA256) upstream package : dbab7b549657caeab339f15477ceb822bd899311912924a60862b330541bffec


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b904841
Comment 2 Miro Hrončok 2013-01-28 06:35:58 EST
Sorry for the Arduino IDE thing, I didn't realize it is a GUI tool.

I'll ask upstream about the MIT license and about the empty files, whether they are necessary.
Comment 3 Miro Hrončok 2013-01-28 06:36:07 EST
Sorry for the Arduino IDE thing, I didn't realize it is a GUI tool.

I'll ask upstream about the MIT license and about the empty files, whether they are necessary.
Comment 4 Miro Hrončok 2013-01-28 06:37:05 EST
Please, flag needinfo again, I made a mistake.
Comment 5 Miro Hrončok 2013-01-28 07:06:16 EST
https://github.com/amperka/ino/issues/62
Comment 6 Miro Hrončok 2013-01-29 17:53:30 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/ino.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/ino-0.3.5-1.fc18.src.rpm

- New version with license file
- Removed empty hidden files
- Require arduino -> arduino-core
Comment 7 T.C. Hollingsworth 2013-01-29 18:00:18 EST
This package is APPROVED.
Comment 8 Miro Hrončok 2013-01-29 18:11:09 EST
New Package SCM Request
=======================
Package Name: ino
Short Description: Command line toolkit for working with Arduino hardware
Owners: churchyard patches
Branches: f17 f18
Comment 9 Gwyn Ciesla 2013-01-30 06:40:33 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-01-30 14:36:23 EST
ino-0.3.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ino-0.3.5-1.fc17
Comment 11 Fedora Update System 2013-01-30 14:39:23 EST
ino-0.3.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ino-0.3.5-1.fc18
Comment 12 Fedora Update System 2013-02-01 12:05:50 EST
ino-0.3.5-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2013-02-09 23:38:59 EST
ino-0.3.5-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2013-02-09 23:39:37 EST
ino-0.3.5-1.fc18 has been pushed to the Fedora 18 stable repository.